## lv2file 0.8

=== Makefile ===
CFLAGS = -O3 -Wall --std=c99 `pkg-config --cflags argtable2 sndfile slv2`
LDFLAGS = `pkg-config --libs argtable2 sndfile slv2` -lm
BINDIR = $(DESTDIR)/usr/bin
INSTALL_PROGRAM = install

all: lv2file

lv2file.o: lv2file.c
	$(CC) -c $(CFLAGS) -o lv2file.o lv2file.c
lv2file: lv2file.o
	$(CC) $(LDFLAGS) lv2file.o -o lv2file
tarball: lv2file
	cd ..;tar -czvf lv2file.tar.gz lv2file/*;
.PHONY: install uninstall clean

clean:
	rm -f lv2file.o lv2file
install: all
	$(INSTALL_PROGRAM) -d $(BINDIR) $(DESTDIR)
	$(INSTALL_PROGRAM) lv2file $(BINDIR)/lv2file
uninstall:
	rm $(BINDIR)/lv2file

=== debian/changelog ===
lv2file (0.8-2ubuntu1) oneiric; urgency=low

  * as-needed.patch: fix FTBFS caused by incorrect order of ld parameters.

 -- Ilya Barygin <barygin@gmail.com>  Sun, 26 Jun 2011 21:55:24 +0400

lv2file (0.8-2) unstable; urgency=low

  * Changed suggestion of several lv2 plugin packages to Recommends:
    lv2-plugin
  * Updated short description to include the word "audio" (closes:
    #630355)

 -- Jeremy Salwen <jeremysalwen@gmail.com>  Mon, 13 Jun 2011 16:27:51 -0400

lv2file (0.8-1) unstable; urgency=low

  * Properly clip if audio is too loud
  * Warn on clipping
  * Fix error in error message when nonexistent port is specified
  * Added provides: lv2-host
  * Updated to 3.0 (quilt) format

 -- Jeremy Salwen <jeremysalwen@gmail.com>  Mon, 06 Jun 2011 01:49:59 -0400

lv2file (0.7-1) unstable; urgency=low

  * Initial release (Closes: #600981)

 -- Jeremy Salwen <jeremysalwen@gmail.com>  Thu, 19 May 2011 15:31:37 -0400

=== debian/control ===
Source: lv2file
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jeremy Salwen <jeremysalwen@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), libslv2-dev, libargtable2-dev, libsndfile-dev
Standards-Version: 3.9.2
Homepage: http://jeremysalwen.github.com/lv2file/
#Vcs-Git: git://git.debian.org/collab-maint/lv2file.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/lv2file.git;a=summary

Package: lv2file
Architecture: any
Provides: lv2-host
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lv2-plugin
Description: Command-line program to apply LV2 effects to audio files
 lv2file is a simple program which you can use to apply LV2 effects to your
 audio files without much hassle.
 .
 Possible use cases of lv2file are:
  * Apply an effect without having to open a GUI or start a project.
  * Apply effects to a large number of files, or in an automated manner.
  * You need a deterministic environment to debug a plugin you are developing.
  * Command-line only audio processing. 
 . 
 lv2file does not come with any built-in effects, so you must install other
 packages containing LV2 plugins to use with lv2file.

## lv2file 0.82

=== Makefile ===
CFLAGS = -O3 -Wall -Wextra --std=c99 `pkg-config --cflags argtable2 sndfile slv2`
LDLIBS = `pkg-config --libs argtable2 sndfile slv2` -lm
BINDIR = $(DESTDIR)/usr/bin
INSTALL_PROGRAM = install

all: lv2file

lv2file.o: lv2file.c
	$(CC) -c $(CFLAGS) -o lv2file.o lv2file.c
lv2file: lv2file.o
	$(CC) $(LDFLAGS) lv2file.o -o lv2file $(LDLIBS)
tarball: lv2file
	cd ..;tar -czvf lv2file.tar.gz lv2file/*;
.PHONY: install uninstall clean

clean:
	rm -f lv2file.o lv2file
install: all
	$(INSTALL_PROGRAM) -d $(BINDIR) $(DESTDIR)
	$(INSTALL_PROGRAM) lv2file $(BINDIR)/lv2file
uninstall:
	rm $(BINDIR)/lv2file

=== debian/changelog ===
lv2file (0.82-1) unstable; urgency=low

  [ Alessio Treglia ]
  * Moving under the umbrella of the Debian Multimedia Maintainers team.
  * Add myself as primary uploader.
  * Shorten debian/rules.
  * Update debian/copyright.

  [ Jeremy Salwen ]
  * Imported Upstream version 0.82

 -- Jeremy Salwen <jeremysalwen@gmail.com>  Tue, 27 Dec 2011 04:04:47 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,23 @@
 Source: lv2file
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jeremy Salwen <jeremysalwen@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), libslv2-dev, libargtable2-dev, libsndfile-dev
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders: Alessio Treglia <alessio@debian.org>,
+ Jeremy Salwen <jeremysalwen@gmail.com>
+Build-Depends: debhelper (>= 7.0.50~),
+ libargtable2-dev,
+ libslv2-dev,
+ libsndfile-dev
 Standards-Version: 3.9.2
 Homepage: http://jeremysalwen.github.com/lv2file/
-#Vcs-Git: git://git.debian.org/collab-maint/lv2file.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/lv2file.git;a=summary
+Vcs-Git: git://git.debian.org/pkg-multimedia/lv2file.git
+Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/lv2file.git
 
 Package: lv2file
 Architecture: any
 Provides: lv2-host
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends}
 Recommends: lv2-plugin
 Description: Command-line program to apply LV2 effects to audio files
  lv2file is a simple program which you can use to apply LV2 effects to your

## lv2file 0.83

=== debian/changelog ===
lv2file (0.83-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:33:31 +0000

lv2file (0.83-1) unstable; urgency=low

  [ Jeremy Salwen ]
  * New upstream release.

  [ Alessio Treglia ]
  * Replace slv2 with lilv in Build-Depends.
  * Build-Depends on lv2-dev.
  * Update debian/copyright to the machine-readable format.
  * Bump Standards.

 -- Jeremy Salwen <jeremysalwen@gmail.com>  Fri, 18 May 2012 22:55:39 -0400

=== debian/control ===
Source: lv2file
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jeremy Salwen <jeremysalwen@gmail.com>
Build-Depends:
 debhelper (>= 7.0.50~),
 libargtable2-dev,
 liblilv-dev,
 libsndfile-dev,
 lv2-dev
Standards-Version: 3.9.3
Homepage: http://jeremysalwen.github.com/lv2file/
Vcs-Git: git://git.debian.org/pkg-multimedia/lv2file.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/lv2file.git

Package: lv2file
Architecture: any
Provides:
 lv2-host
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 lv2-plugin
Description: Command-line program to apply LV2 effects to audio files
 lv2file is a simple program which you can use to apply LV2 effects to your
 audio files without much hassle.
 .
 Possible use cases of lv2file are:
  * Apply an effect without having to open a GUI or start a project.
  * Apply effects to a large number of files, or in an automated manner.
  * You need a deterministic environment to debug a plugin you are developing.
  * Command-line only audio processing.
 .
 lv2file does not come with any built-in effects, so you must install other
 packages containing LV2 plugins to use with lv2file.

=== debian/watch ===
version=3
http://githubredir.debian.net/github/jeremysalwen/lv2file (.*).tar.gz

## lv2file 0.84

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-CFLAGS = -O3 -Wall -Wextra --std=c99 `pkg-config --cflags argtable2 sndfile slv2`
-LDLIBS = `pkg-config --libs argtable2 sndfile slv2` -lm
+CFLAGS = -O3 -Wall -Wextra --std=c99 `pkg-config --cflags argtable2 sndfile lilv-0`
+LDLIBS = `pkg-config --libs argtable2 sndfile lilv-0` -lm
 BINDIR = $(DESTDIR)/usr/bin
 INSTALL_PROGRAM = install

=== debian/changelog ===
lv2file (0.84-1) unstable; urgency=medium

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Dennis Braun ]
  * New upstream release (Closes: #852439)
    + Allow piping raw FP audio from stdin to stdout (Closes: #776244)
  * d/control:
    + Use dh-compat instead of debian/compat
    + Bump dh-compat to 12
    + Bump Standards-Version to 4.5.0
    + Add me as uploader
    + Use https protocol for homepage
    + Set RRR: no
  * d/copyright:
    + Update source url
    + Update year
    + http > https
  * Add patch to fix the debug package

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 05 Feb 2020 21:52:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: lv2file
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
+ Dennis Braun <d_braun@kabelmail.de>,
  Alessio Treglia <alessio@debian.org>,
  Jeremy Salwen <jeremysalwen@gmail.com>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper-compat (= 12),
  libargtable2-dev,
  liblilv-dev,
  libsndfile-dev,
  lv2-dev
-Standards-Version: 3.9.3
-Homepage: http://jeremysalwen.github.com/lv2file/
-Vcs-Git: git://git.debian.org/pkg-multimedia/lv2file.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/lv2file.git
+Standards-Version: 4.5.0
+Homepage: https://jeremysalwen.github.com/lv2file/
+Vcs-Git: https://salsa.debian.org/multimedia-team/lv2file.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/lv2file
+Rules-Requires-Root: no
 
 Package: lv2file
 Architecture: any

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/lv2file-$1\.tar\.gz/ \
  https://github.com/jeremysalwen/lv2file/releases .*/upstream/(.+)\.tar\.gz

## lv2file 0.95

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
-CFLAGS = -O3 -Wall -Wextra --std=c99 `pkg-config --cflags argtable2 sndfile lilv-0`
-LDLIBS = `pkg-config --libs argtable2 sndfile lilv-0` -lm
+PKG_CONFIG?= pkg-config
+CFLAGS += $(CPPFLAGS)
+CFLAGS += -O3 -Wall -Wextra --std=c99 `$(PKG_CONFIG) --cflags argtable2 sndfile lilv-0`
+LDLIBS = `$(PKG_CONFIG) --libs argtable2 sndfile lilv-0` -lm
 BINDIR = $(DESTDIR)/usr/bin
 INSTALL_PROGRAM = install

=== debian/changelog ===
lv2file (0.95-2) unstable; urgency=medium

  * Add pkg-config to B-Ds (Closes: #1020040)

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 18 Sep 2022 16:53:04 +0200

lv2file (0.95-1) unstable; urgency=medium

  [ Dennis Braun ]
  * Bump dh-compat to 13
  * Bump Standards-Version to 4.6.1
  * d/copyright:
    + Switch to GPLv3+
    + Update source url
    + Add myself to the d/ section
  * Add README to d/docs
  * Add hardening
  * Add an autopkgtest with lv2file and AutoSat from ZamPlugins
  * Add d/upstream/metadata
  * Add salsa ci config
  * Update d/watch file, we use now tags instead of releases

  [ Jeremy Salwen ]
  * New upstream version 0.95
  * Update manpage from upstream.
  * Update d/watch file to look for UPSTREAM tags instead of upstream.
  * Remove upstreamed patches.

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 19 May 2022 18:43:57 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
  Alessio Treglia <alessio@debian.org>,
  Jeremy Salwen <jeremysalwen@gmail.com>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libargtable2-dev,
  liblilv-dev,
  libsndfile-dev,
- lv2-dev
-Standards-Version: 4.5.0
+ lv2-dev,
+ pkg-config
+Standards-Version: 4.6.1
 Homepage: https://jeremysalwen.github.com/lv2file/
 Vcs-Git: https://salsa.debian.org/multimedia-team/lv2file.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/lv2file

=== debian/tests/control ===
Tests: zam-test
Depends: @, csound-doc, gzip, zam-plugins

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/lv2file-$1\.tar\.gz/ \
  https://github.com/jeremysalwen/lv2file/tags .*/upstream/(\d\S+)\.tar\.gz
